View Javadoc

    1   /*
    2    *  Licensed to the Apache Software Foundation () under one
    3    *  or more contributor license agreements.  See the NOTICE file
    4    *  distributed with this work for additional information
    5    *  regarding copyright ownership.  The ASF licenses this file
    6    *  to you under the Apache License, Version 2.0 (the
    7    *  "License"); you may not use this file except in compliance
    8    *  with the License.  You may obtain a copy of the License at
    9    *
    10   *    http://www.apache.org/licenses/LICENSE-2.0
    11   *
    12   *  Unless required by applicable law or agreed to in writing,
    13   *  software distributed under the License is distributed on an
    14   *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    15   *  KIND, either express or implied.  See the License for the
    16   *  specific language governing permissions and limitations
    17   *  under the License.
    18   *
    19   */
    20  package org.apache.mina.transport.tcp;
    21
    22  import org.apache.mina.service.executor.IoHandlerExecutor;
    23  import org.apache.mina.service.server.AbstractIoServer;
    24
    25  /**
    26   * Base class for TCP based Servers
    27   *
    28   * @author <a href="http://mina.apache.org">Apache MINA Project</a>
    29   */
    30  public abstract class AbstractTcpServer extends AbstractIoServer {
    31
    32      /**
    33       * Create an new AbsractTcpServer instance
    34       *
    35       * @param eventExecutor used for executing IoHandler event in another pool of thread (not in the low level I/O one).
    36       *        Use <code>null</code> if you don't want one. Be careful, the IoHandler processing will block the I/O
    37       *        operations.
    38       */
    39      protected AbstractTcpServer(IoHandlerExecutor eventExecutor) {
    40          super(new DefaultTcpSessionConfig(), eventExecutor);
    41      }
    42
    43      /**
    44       * Create an new AbsractTcpServer instance, with a specific configuration
    45       *
    46       * @param sessionConfig The configuration to use for this server
    47       * @param eventExecutor used for executing IoHandler event in another pool of thread (not in the low level I/O one).
    48       *        Use <code>null</code> if you don't want one. Be careful, the IoHandler processing will block the I/O
    49       *        operations.
    50       */
    51      protected AbstractTcpServer(TcpSessionConfig config, IoHandlerExecutor eventExecutor) {
    52          super(config, eventExecutor);
    53      }
    54
    55      /**
    56       * {@inheritDoc}
    57       */
    58      @Override
    59      public TcpSessionConfig getSessionConfig() {
    60          return (TcpSessionConfig) config;
    61      }
    62
    63      /**
    64       * Set the default configuration for created TCP sessions
    65       *
    66       * @param config
    67       */
    68      public void setSessionConfig(TcpSessionConfig config) {
    69          this.config = config;
    70      }
    71  }